import labelIcon from "../icons/label.svg";
export const LabelBlock = (editor, label) => {
    const bm = editor.BlockManager;
    bm.add("label", {
        label: `
      ${labelIcon}
      <div>${label}</div>`,
        category: "Forms (Bootstrap)",
        content: "<label>Label</label>",
    });
};
export default (dc, traits, config) => {
    const textType = dc.getType("text");
    if (!textType) {
        return;
    }
    const textModel = textType.model;
    const textView = textType.view;
    dc.addType("label", {
        extend: "text",
        model: {
            defaults: {
                ...textModel.prototype.defaults,
                "custom-name": config.labels.label,
                tagName: "label",
                traits: [traits.for],
            },
        },
        isComponent(el) {
            if (el.tagName == "LABEL") {
                return { type: "label" };
            }
        },
        view: textView,
    });
};
