import radioIcon from "../icons/dot-circle-regular.svg";
export const RadioBlock = (editor, label) => {
    const bm = editor.BlockManager;
    bm.add("radio", {
        label: `
            ${radioIcon}
            <div>${label}</div>
        `,
        category: "Forms (Bootstrap)",
        content: `
        <div class="form-check">
          <input class="form-check-input" type="radio" name="exampleRadios" id="exampleRadios1" value="option1" checked>
          <label class="form-check-label" for="exampleRadios1">
            Default radio
          </label>
        </div>
      `,
    });
};
export default (dc, traits, config) => {
    const checkType = dc.getType("checkbox");
    if (!checkType) {
        return;
    }
    // RADIO
    dc.addType("radio", {
        extend: "checkbox",
        model: {
            defaults: {
                ...checkType.model.prototype.defaults,
                "custom-name": config.labels.radio,
                attributes: { type: "radio" },
            },
        },
        isComponent(element) {
            const el = element;
            if (el.tagName === "INPUT" && el.type === "radio") {
                return { type: "radio" };
            }
        },
        view: checkType.view,
    });
};
