import textareaIcon from "../icons/textarea.svg";
export const TextareaBlock = (editor, label) => {
    const bm = editor.BlockManager;
    bm.add("textarea", {
        label: `
      ${textareaIcon}
      <div>${label}</div>`,
        category: "Forms (Bootstrap)",
        content: '<textarea name="textarea1" class="form-control"></textarea>',
    });
};
export default (dc, traits, config) => {
    const defaultType = dc.getType("default");
    const inputType = dc.getType("input");
    if (!defaultType || !inputType) {
        return;
    }
    const defaultView = defaultType.view;
    const inputModel = inputType.model;
    // TEXTAREA
    dc.addType("textarea", {
        extend: "input",
        model: {
            defaults: {
                ...inputModel.prototype.defaults,
                "custom-name": config.labels.textarea,
                tagName: "textarea",
                traits: [traits.name, traits.placeholder, traits.required],
            },
        },
        isComponent(el) {
            if (el.tagName === "TEXTAREA") {
                return { type: "textarea" };
            }
        },
        view: defaultView,
    });
};
